Cisco finds vulnerability in Intel HD Graphics Driver that can crash your system

vbimport

#1

We’ve just posted the following news: Cisco finds vulnerability in Intel HD Graphics Driver that can crash your system[newsimage]http://www.myce.com/wp-content/images_posts/2010/08/intel-logo-670x442.jpg[/newsimage]

Security researchers working for Cisco Talos have found a vulnerability the Intel HD Graphics driver that in the worst case allows arbitrary code execution by a local attacker.

            Read the full article here: [http://www.myce.com/news/cisco-finds-vulnerability-intel-hd-graphics-driver-crashes-system-79887/](http://www.myce.com/news/cisco-finds-vulnerability-intel-hd-graphics-driver-crashes-system-79887/)

            Please note that the reactions from the complete site will be synched below.

#2

The vulnerability exists in the drivers with version numbers 15.33.42.4358 or 15.36.30.4385 or 15.40.4404 and prior versions.
Problem here is not all older HD iNtel can use the newer driver so they should make update to those drivers instead. All they are doing is not going to help anyone much when their video can’t use the newer driver.


#3

I suppose that, since this is a system driver that will be executing the code, said code will be executated with admin priviladges. In that case, there’s no limit as to how much damage could be done.

If you have a recent video card, you should update at once. If not, there probably won’t be any updates, in which case you’re screwed.